Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
src
.gitignore
.npmrc
LICENSE
package-lock.json
package.json
readme.markdown

readme.markdown

dependency-sync

⚡️ sync your dependencies ⚡️

js-standard-style Greenkeeper badge

usage

DEBUG=dependency-sync* dependency-sync ./assets/js ./server -t babelify

Babelify is only needed if you use jsx, or features node doesn't yet understand.

Use --once if you don't want it to watch and install while you type

keep

dependency-sync ignores devDependencies, However dependencies that aren't explicitly required will be removed.

To prevent this add the following directive to your package.json.

"dependency-sync": {
  "keep": [
    "babelify"
  ]
}

yarn

To use dependency-sync with yarn use add the following directive to your package.json.

args is passed to yarn add

"dependency-sync": {
  "yarn": {
    "args": [ ]
  }
}

license

MIT